%define upstream_name    Mo
%define upstream_version 0.40

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Inline Mo and Features into your package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
This is the module that is responsible for taking Mo code (which is
documented and fairly readable) and reducing it to a single undecipherable
line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mo-inline


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.400.0-5.mga10
+ Revision: 2204029
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.400.0-4.mga9
+ Revision: 1809673
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-3.mga8
+ Revision: 1505134
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.400.0-2.mga7
+ Revision: 1284772
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.400.0-1.mga7
+ Revision: 1128786
- update to 0.40

* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-2.mga6
+ Revision: 1029904
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.390.0-1.mga6
+ Revision: 923825
- update to 0.39

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-3.mga5
+ Revision: 743514
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.380.0-2.mga5
+ Revision: 685406
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.380.0-1.mga5
+ Revision: 593587
- update to 0.38

* Sat Oct 19 2013 umeabot <umeabot> 0.350.0-2.mga4
+ Revision: 526328
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.350.0-1.mga4
+ Revision: 436626
- update to 0.35

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 369743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 255139
- update to 0.31

* Sat Nov 05 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 163221
- imported package perl-Mo


* Sat Nov 05 2011 cpan2dist 0.30-1mga
- initial mageia release, generated with cpan2dist
